org.omg.PortableInterceptor

## Class AdapterManagerIdHelper

- java.lang.Object
- - org.omg.PortableInterceptor.AdapterManagerIdHelper

    public abstract class AdapterManagerIdHelper
    extends Object

Adapter manager identifier. Every object adapter has an adapter manager, indicated in this API only through the ID. A group of object adapter instances may share the same adapter manager, in which case state transitions reported for the adapter manager are observed by all object adapters with the same adapter manager ID.

### Constructor Summary

Constructors
Constructor and Description
`AdapterManagerIdHelper()`

### Method Summary

Methods
`static int` `extract(Any a)`
`static String` `id()`
`static void` `insert(Any a, int that)`
`static int` `read(InputStream istream)`
`static TypeCode` `type()`
`static void` `write(OutputStream ostream, int value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AdapterManagerIdHelper

    public AdapterManagerIdHelper()

### Method Detail

#### insert

    public static void insert(Any a,
              int that)

#### extract

    public static int extract(Any a)

#### type

    public static TypeCode type()

#### id

    public static String id()

#### read

    public static int read(InputStream istream)

#### write

    public static void write(OutputStream ostream,
             int value)

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.